When closing QuanTB, the system doesn't check if there is any unsaved file
Description

Problem:

When user closes QuanTB, the system just ask if the user confirms the operation. If user confirms, QuanTB closes all documents,

and any unsaved data is lost.

Solution:

When the user closes QuanTB, the system must check if there is any unsaved document, i.e, documents that were changed and not

saved.

If there is any unsaved document, the system will ask the user if he wants to save the document before close.

Check flow for each document in issue #660.

Subtasks:

Feature # 733: Improve warning messages when closing forecasting tab and exiting the tool Closed

History

#1 - 07/15/2013 11:18 AM - Oleksii Kurasov

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- Start date changed from 04/26/2013 to 07/16/2013

#2 - 09/11/2013 03:23 PM - Luis Gustavo do Valle Bastos

- Subject changed from When closing QuanTB, the system doesn't check if there is any unsaved file to When closing QuanTB, the system doesn't

check if there is any unsaved file (Version 3)

- Status changed from Resolved to In Progress

- Target version changed from Version 2.0 to Version 3.0

Implemented in a different way. The system doesn't check if there's any unsaved file before close the tool, otherwise displays the dialog box with the

3 options: save all and exit; exit and cancel. The option "save all and exit" is working properly.

It is enough for the current version, but should be finalized with the comprehensive approach for version 3.

#3 - 01/24/2014 01:27 PM - Luis Gustavo do Valle Bastos

- Subject changed from When closing QuanTB, the system doesn't check if there is any unsaved file (Version 3) to When closing QuanTB, the system

doesn't check if there is any unsaved file

- Target version changed from Version 3.0 to Version 2.0

#4 - 09/29/2014 05:08 PM - Luis Gustavo do Valle Bastos

- Status changed from In Progress to Closed

Tested and adequate.
